Skip to main content
POST
/
public
/
v1
/
webhooks
/
webhooks
Create Webhook
curl --request POST \
  --url https://api.topsort.com/public/v1/webhooks/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "secret": "<string>"
}
'
import requests

url = "https://api.topsort.com/public/v1/webhooks/webhooks"

payload = {
"url": "<string>",
"secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', secret: '<string>'})
};

fetch('https://api.topsort.com/public/v1/webhooks/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "secret": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Body

application/json
url
string<uri>
required

The URL to send the webhook event to.

Required string length: 1 - 2083
channel
enum<string>
required

The channel that triggers this webhook.

Available options:
campaign:create,
campaign:update,
campaign:delete,
catalog:feed:download:finish,
store:availability:download:finish,
catalog:feed:upload:late,
full:availability:upload:late,
delta:availability:upload:late
secret
string

Webhook secret to be used in signature generation. If missing, it'll be randomly generated.

Maximum string length: 32
Example:

"t948Lf__j1WNwcAxZpsz8Q"

Response

Successful Response

id
string
required

Id of the webhook.

marketplaceId
string<uuid>
required

The marketplace ID.

url
string<uri>
required

The URL to send the webhook event to.

Required string length: 1 - 2083
channel
enum<string>
required

The channel that triggers this webhook.

Available options:
campaign:create,
campaign:update,
campaign:delete,
catalog:feed:download:finish,
store:availability:download:finish,
catalog:feed:upload:late,
full:availability:upload:late,
delta:availability:upload:late
secret
string
required

Webhook secret to be used in signature generation.